<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Khảo sát kết thúc giai đoạn 1</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">

    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-white navbar-light">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="#" class="nav-link">Khảo sát kết thúc giai đoạn 1</a>
                </li>
            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <li class="nav-item">
                    <a class="nav-link" data-widget="fullscreen" href="#" role="button">
                        <i class="fas fa-expand-arrows-alt"></i>
                    </a>
                </li>
            </ul>
        </nav>
        <!-- /.navbar -->

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Brand Logo -->
            <a href="#" class="brand-link">
                <span class="brand-text font-weight-light">Devcamp</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">

                <!-- Sidebar Menu -->

                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1 class="m-0">Order Detail</h1>
                        </div><!-- /.col -->
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="#">Home</a></li>
                                <li class="breadcrumb-item active">User list</li>
                            </ol>
                        </div><!-- /.col -->
                    </div><!-- /.row -->
                </div><!-- /.container-fluid -->
            </div>
            <!-- /.content-header -->

            <!-- Main content -->
            <div class="container">
                <div class="row form-group">
                    <div class="col-sm-2">
                        <label class="form-group">Trạng Thái Order</label>
                    </div>
                    <div class="col-sm-4">
                        <select id="select-status" class="form-control">

                        </select>
                    </div>
                    <div class="col-sm-2">
                        <label class="form-group">Loại Pizza</label>
                    </div>
                    <div class="col-sm-4">
                        <select id="select-type" class="form-control">

                        </select>
                    </div>
                    <button type="submit" class="btn btn-success col-sm-12" id="btn-filter">Lọc</button>
                </div>
                <div class="row form-group">
                    <button id="btn-create" class="form-group btn btn-success w-30"><i
                            class="fas fa-plus"></i>&nbsp;Thêm</button>
                </div>
            </div>
            <section class="content">
                <div class="container-fluid">
                    <table class="table table-bordered table-striped table-hover" id="order-table">
                        <thead>
                            <tr>
                                <th>Order ID</th>
                                <th>Kích cỡ combo</th>
                                <th>Loại pizza</th>
                                <th>Nước uống</th>
                                <th>Thành tiền</th>
                                <th>Họ và tên</th>
                                <th>Số điện thoại</th>
                                <th>Trạng thái</th>
                                <th>Chi tiết</th>
                            </tr>
                    </table>

                    <!-- Modal user detail-->
                    <div>
                        <div id="create-order" class="modal fade" tabindex="-1">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="h5-modal-title">Tạo đơn h</h5>
                                        <button class="close" data-dismiss="modal">&times;</button>
                                    </div>
                                    <div class="modal-body">
                                        <form>
                                            <div class="container">
                                                <h1>Tạo đơn hàng</h1>
                                                <div class="form-group">
                                                    <label for="">Có combo</label>
                                                    <select id="select-combo1" class="form-control">
                                                        <option value="0">Chọn combo mà bạn muốn</option>
                                                        <option value="S">S</option>
                                                        <option value="M">M</option>
                                                        <option value="L">L</option>
                                                    </select>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Đường kính pizza</label>
                                                    <input id="inp-pizza1" type="text" class="form-control" disabled>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Sườn nướng(miếng)</label>
                                                    <input id="inp-suon1" name="" class="form-control" disabled>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Loại nước uống</label>
                                                    <select id="select-drink1" type="text" class="form-control">

                                                    </select>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Số lượng nước uống</label>
                                                    <input id="inp-drink1" type="text" class="form-control" disabled>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Voucher ID</label>
                                                    <input id="inp-voucher1" type="text" class="form-control">
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Loại pizza</label>
                                                    <select id="inp-type1" type="text" class="form-control">
                                                        <option value="0">Chọn loại pizza mà bạn muốn</option>
                                                        <option value="Seafood">Hải sản</option>
                                                        <option value="Hawaii">Hawaii</option>
                                                        <option value="Bacon">Thịt hun khói</option>
                                                    </select>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Salad</label>
                                                    <input id="inp-salad1" type="text" class="form-control" disabled>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Thành tiền</label>
                                                    <input id="inp-money1" type="text" class="form-control" disabled>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Họ và tên</label>
                                                    <input id="inp-name1" type="text" class="form-control">
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Email</label>
                                                    <input id="inp-email1" type="text" class="form-control">
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Số điện thoại</label>
                                                    <input id="inp-mobile1" type="text" class="form-control">
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Địa chỉ</label>
                                                    <input id="inp-address1" type="text" class="form-control">
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Lời nhắn</label>
                                                    <input id="inp-msg1" type="text" class="form-control">
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Trạng thái đơn hàng</label>
                                                    <select id="inp-status1" class="form-control">
                                                        <option value="open">open</option>
                                                        <option value="confirmed">confirm</option>
                                                        <option value="cancel">cancel</option>
                                                    </select>
                                                </div>
                                        </form>
                                    </div>
                                    <div class="modal-footer">
                                        <button class="btn btn-success" id="btn-confirm-create">Confirm</button>
                                        <button class="btn btn-danger" id="btn-cancel"
                                            data-dismiss="modal">Cancel</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div id="modal-delete" class="modal fade col-12" tabindex="-1">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h3>Xóa đơn hàng</h3>
                                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                                </div>
                                <div class="modal-body">
                                    <h1>Bạn có chắc muốn xóa?</h1>
                                </div>
                                <div class="modal-footer btn-group">
                                    <button class="btn btn-warning" id="confirm-delete">Xác nhận</button>
                                    <button class="btn btn-danger" data-dismiss="modal">Quay lại</button>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div>
                        <div id="order-detail" class="modal fade" tabindex="-1">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="h5-modal-title">Order Detail!!!</h5>
                                        <button class="close" data-dismiss="modal">&times;</button>
                                    </div>
                                    <div class="modal-body">
                                        <form>
                                            <div class="container">
                                                <h1>Chi tiết</h1>
                                                <div class="form-group">
                                                    <label for="">order ID (Mã đơn hàng):</label>
                                                    <input id="inp-id" type="text" class="form-control" disabled>

                                                </div>
                                                <div class="form-group">
                                                    <label for="">Có combo</label>
                                                    <input id="select-combo" class="form-control" disabled>...</select>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Đường kính pizza</label>
                                                    <input id="inp-pizza" type="text" class="form-control" disabled>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Sườn nướng(miếng)</label>
                                                    <input id="inp-suon" name="" class="form-control" disabled>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Đồ uống</label>
                                                    <input id="select-drink" type="text" class="form-control"
                                                        disabled>...</select>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Số lượng nước uống</label>
                                                    <input id="inp-drink" type="text" class="form-control" disabled>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Voucher ID</label>
                                                    <input id="inp-voucher" type="text" class="form-control" disabled>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Loại pizza</label>
                                                    <input id="inp-type" type="text" class="form-control" disabled>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Salad</label>
                                                    <input id="inp-salad" type="text" class="form-control" disabled>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Thành tiền</label>
                                                    <input id="inp-money" type="text" class="form-control" disabled>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Giảm giá</label>
                                                    <input id="inp-discount" type="text" class="form-control" disabled>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Họ và tên</label>
                                                    <input id="inp-name" type="text" class="form-control" disabled>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Email</label>
                                                    <input id="inp-email" type="text" class="form-control" disabled>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Số điện thoại</label>
                                                    <input id="inp-mobile" type="text" class="form-control" disabled>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Địa chỉ</label>
                                                    <input id="inp-address" type="text" class="form-control" disabled>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Lời nhắn</label>
                                                    <input id="inp-msg" type="text" class="form-control" disabled>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Trạng thái đơn hàng</label>
                                                    <select id="inp-status" class="form-control">
                                                        <option value="0">Chọn trạng thái</option>
                                                        <option value="open">open</option>
                                                        <option value="confirmed">confirm</option>
                                                        <option value="cancel">cancel</option>
                                                    </select>
                                                </div>
                                                <div class="form-group">
                                                    <label for="">Ngày cập nhật</label>
                                                    <input id="inp-update" type="text" class="form-control" disabled>
                                                </div>
                                        </form>
                                    </div>
                                    <div class="modal-footer">
                                        <button class="btn btn-success" id="btn-confirm">Confirm</button>
                                        <button class="btn btn-danger" id="btn-cancel"
                                            data-dismiss="modal">Cancel</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div><!-- /.container-fluid -->
            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->


        <footer class="main-footer">
            <strong>Copyright &copy; 2014-2021 Devcamp.</strong>
            All rights reserved.
            <div class="float-right d-none d-sm-inline-block">
                <b>Version</b> 1.0.0
            </div>
        </footer>

    </div>

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>

    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.js"></script>

    ​
    <script>
        var gCombo = [
            {
                kichCo: "S",
                duongKinh: 20,
                suon: 2,
                salad: "200g",
                soLuongNuoc: 2,
                thanhTien: 150000,
            },
            {
                kichCo: "M",
                duongKinh: 25,
                suon: 4,
                salad: "300g",
                soLuongNuoc: 3,
                thanhTien: 200000,
            },
            {
                kichCo: "L",
                duongKinh: 30,
                suon: 8,
                salad: "500g",
                soLuongNuoc: 4,
                thanhTien: 250000,
            }
        ]
        $(document).ready(function () {
            const gCOLUMN_ID = 0;
            const gCOLUMN_SIZE = 1;
            const gCOLUMN_TYPE = 2;
            const gCOLUMN_DRINK = 3;
            const gCOLUMN_PRICE = 4;
            const gCOLUMN_NAME = 5;
            const gCOLUMN_PHONE = 6;
            const gCOLUMN_STATUS = 7;
            const gCOLUMN_ACTION = 8;
            const gORDERS_COLUMNS = ["id", "kichCo", "loaiPizza", "idLoaiNuocUong", "thanhTien", "hoTen", "soDienThoai", "trangThai", "action"];

            var gOrdersObj = [];
            var vOrderDetailObj = {
                id: "",
                orderId: "",
                duongKinh: "",
                suon: "",
                salad: "",
                idVourcher: "",
                giamGia: "",
                soLuongNuoc: "",
                email: "",
                diaChi: "",
                loiNhan: "",
                ngayTao: "",
                ngayCapNhat: "",
                kickCo: "",
                loaiPizza: "",
                idLoaiNuocUong: "",
                thanhTien: "",
                hoTen: "",
                trangThai: "",
                soDienThoai: "",
            }
            // định nghĩa table  - chưa có data
            var gOrderTable = $("#order-table").DataTable({
                // Khai báo các cột của datatable
                "columns": [
                    { "data": gORDERS_COLUMNS[gCOLUMN_ID] },
                    { "data": gORDERS_COLUMNS[gCOLUMN_SIZE] },
                    { "data": gORDERS_COLUMNS[gCOLUMN_TYPE] },
                    { "data": gORDERS_COLUMNS[gCOLUMN_DRINK] },
                    { "data": gORDERS_COLUMNS[gCOLUMN_PRICE] },
                    { "data": gORDERS_COLUMNS[gCOLUMN_NAME] },
                    { "data": gORDERS_COLUMNS[gCOLUMN_PHONE] },
                    { "data": gORDERS_COLUMNS[gCOLUMN_STATUS] },
                    { "data": gORDERS_COLUMNS[gCOLUMN_ACTION] }
                ],
                // Ghi đè nội dung của cột action, chuyển thành button chi tiết
                "columnDefs": [
                    {
                        "targets": gCOLUMN_ACTION,
                        defaultContent: `<button class='btn-update btn btn-warning btn-sm '><i class="fas fa-edit"></i></button>
                    <button class='btn-delete btn btn-danger btn-sm '><i class="fas fa-trash"></i></button>
                    `
                    }]
            });
            onPageLoading();
            $("#order-table").on("click", ".btn-update", function () {
                onBtnUpdateClick(this);
            })
            $("#order-table").on("click", ".btn-delete", function () {
                onBtnDeleteClick(this);
            })
            $("#btn-confirm").on("click", function () {
                onBtnConfirmClick(this);
            })
            $("#confirm-delete").on("click", function () {
                onBtnConfirmDeleteClick(this);
            })
            $("#btn-cancel").on("click", function () {
                onBtnCancelClick(this);
            })
            $("#btn-filter").on("click", function () {
                onBtnFilterClick();
            })
            $("#btn-create").on("click", function () {
                onBtnCreateClick();
            })
            $("#select-combo1").on("change", function () {
                addDataToInput();
            });
            $("#btn-confirm-create").on("click", function () {
                onBtnConfirmCreateClick();
            })
            function onPageLoading() {
                $.ajax({
                    url: "http://42.115.221.44:8080/devcamp-pizza365/orders",
                    type: "GET",
                    dataType: 'json',
                    success: function (responseObject) {
                        gOrdersObj = responseObject;
                        //debugger;
                        loadDataToTable(gOrdersObj);
                        loadTrangThai();
                        loadLoaiPizza();

                        console.log(gOrdersObj);
                    },
                    error: function (error) {
                        console.assert(error.responseText);
                    }
                })
            }
            function loadDataToTable(paramResponseObject) {
                gOrderTable.clear();
                //Cập nhật data cho bảng 
                gOrderTable.rows.add(paramResponseObject);
                //Cập nhật lại giao diện hiển thị bảng
                gOrderTable.draw();
            }
            function onBtnUpdateClick(paramBtnClick) {
                console.log("Nút được bấm");
                var vRowSelected = $(paramBtnClick).parents('tr');
                //Lấy datatable row
                var vDatatableRow = gOrderTable.row(vRowSelected);
                //Lấy data của dòng 
                var vOrderData = vDatatableRow.data();
                vOrderDetailObj.id = vOrderData.id;
                vOrderDetailObj.kickCo = vOrderData.kichCo;
                vOrderDetailObj.loaiPizza = vOrderData.loaiPizza;
                vOrderDetailObj.idLoaiNuocUong = vOrderData.idLoaiNuocUong;
                vOrderDetailObj.soLuongNuoc = vOrderData.soLuongNuoc;
                vOrderDetailObj.thanhTien = vOrderData.thanhTien;
                vOrderDetailObj.hoTen = vOrderData.hoTen;
                vOrderDetailObj.soDienThoai = vOrderData.soDienThoai;
                vOrderDetailObj.trangThai = vOrderData.trangThai;
                vOrderDetailObj.orderId = vOrderData.orderId;
                vOrderDetailObj.duongKinh = vOrderData.duongKinh;
                vOrderDetailObj.suon = vOrderData.suon;
                vOrderDetailObj.salad = vOrderData.salad;
                vOrderDetailObj.email = vOrderData.email;
                vOrderDetailObj.idVourcher = vOrderData.idVourcher;
                vOrderDetailObj.giamGia = vOrderData.giamGia;
                vOrderDetailObj.loiNhan = vOrderData.loiNhan;
                vOrderDetailObj.diaChi = vOrderData.diaChi;
                vOrderDetailObj.ngayCapNhat = vOrderData.ngayCapNhat;
                vOrderDetailObj.ngayTao = vOrderData.ngayTao;
                console.log(vOrderDetailObj);
                $("#order-detail").modal("show");
                $("#inp-id").val(vOrderDetailObj.orderId);
                $("#select-combo").val(vOrderDetailObj.kickCo);
                $("#inp-pizza").val(vOrderDetailObj.duongKinh);
                $("#inp-salad").val(vOrderDetailObj.salad);
                $("#select-drink").val(vOrderDetailObj.idLoaiNuocUong);
                $("#inp-name").val(vOrderDetailObj.hoTen);
                $("#inp-suon").val(vOrderDetailObj.suon);
                $("#inp-discount").val(vOrderDetailObj.giamGia);
                $("#inp-drink").val(vOrderDetailObj.soLuongNuoc);
                $("#inp-email").val(vOrderDetailObj.email);
                $("#inp-address").val(vOrderDetailObj.diaChi);
                $("#inp-status").val(vOrderDetailObj.trangThai);
                $("#inp-update").val(vOrderDetailObj.ngayCapNhat);
                $("#inp-money").val(vOrderDetailObj.thanhTien);
                $("#inp-voucher").val(vOrderDetailObj.idVourcher);
                $("#inp-msg").val(vOrderDetailObj.loiNhan);
                $("#inp-mobile").val(vOrderDetailObj.soDienThoai);
                $("#inp-type").val(vOrderDetailObj.loaiPizza);

            }
            function onBtnDeleteClick(paramBtnClick) {
                console.log("Nút được bấm");
                var vRowSelected = $(paramBtnClick).parents('tr');
                //Lấy datatable row
                var vDatatableRow = gOrderTable.row(vRowSelected);
                //Lấy data của dòng 
                var vOrderData = vDatatableRow.data();
                vOrderDetailObj.id = vOrderData.id;
                $("#modal-delete").modal("show");
                console.log(vOrderDetailObj);
            }
            function onBtnConfirmDeleteClick() {
                var vId = vOrderDetailObj.id;
                $.ajax({
                    url: "http://42.115.221.44:8080/devcamp-pizza365/orders/" + vId,
                    type: "DELETE",
                    success: function (responseObject) {
                        console.log(responseObject);
                        alert("Xóa thành công");
                        location.reload();
                    },
                    error: function (ajaxContext) {
                        alert(ajaxContext.responseText);
                    }
                })
            }
            function onBtnConfirmClick() {
                var vTrangThai = $("#inp-status").val();
                var vId = vOrderDetailObj.id;
                var vConfirmUpdate = {
                    trangThai: vTrangThai,
                };
                $.ajax({
                    url: "http://42.115.221.44:8080/devcamp-pizza365/orders/" + vId,
                    type: "PUT",
                    contentType: "application/json",
                    data: JSON.stringify(vConfirmUpdate),
                    success: function (responseObject) {
                        console.log(responseObject);
                        console.log(Object.entries(responseObject));
                        alert("Cập nhật thành công");
                        location.reload();
                    },
                    error: function (ajaxContext) {
                        alert(ajaxContext.responseText);
                    }
                })
            }
            function onBtnCancelClick() {
                var vId = vOrderDetailObj.id;
                var vConfirmUpdate = {
                    trangThai: "cancel",
                };
                $.ajax({
                    url: "http://42.115.221.44:8080/devcamp-pizza365/orders/" + vId,
                    type: "PUT",
                    contentType: "application/json",
                    data: JSON.stringify(vConfirmUpdate),
                    success: function (responseObject) {
                        console.log(responseObject);
                        console.log(Object.entries(responseObject));
                        alert("Cập nhật thành công");
                        location.reload();
                    },
                    error: function (ajaxContext) {
                        alert(ajaxContext.responseText);
                    }
                })
            }
            function onBtnFilterClick() {
                var vStatus = $("#select-status").val();
                var vPizzaType = $("#select-type").val();
                var vDataFilter = gOrdersObj.filter(function (paramOrder) {
                    return (vStatus === "0" || vStatus === paramOrder.trangThai)
                        && (vPizzaType === "0" || vPizzaType === paramOrder.loaiPizza);
                })
                loadDataToTable(vDataFilter);
            }
            function loadTrangThai() {
                $("#select-status").append($("<option>", {
                    text: "---Chọn trạng thái---",
                    value: 0
                }));
                for (var i = 0; i < gOrdersObj.length; i++) {
                    $("#select-status").append($("<option>", {
                        text: gOrdersObj[i].trangThai,
                        value: gOrdersObj[i].trangThai
                    }));
                }
            }
            // hàm đổ dữ liệu môn học vào ô select
            function loadLoaiPizza() {
                $("#select-type").append($("<option>", {
                    text: "---Chọn loại Pizza---",
                    value: 0
                }));
                for (var i = 0; i < gOrdersObj.length; i++) {
                    $("#select-type").append($("<option>", {
                        text: gOrdersObj[i].loaiPizza,
                        value: gOrdersObj[i].loaiPizza
                    }));
                }
            }
            function onBtnCreateClick() {
                $.ajax({
                    url: "http://42.115.221.44:8080/devcamp-pizza365/drinks",
                    type: "GET",
                    data: "JSON",
                    success: function (paramResponse) {
                        gDrinkSelect = paramResponse;
                        $("#select-drink1").append($("<option>", {
                            text: "---Chọn nước uống---",
                            value: 0
                        }));
                        for (var bI = 0; bI < gDrinkSelect.length; bI++) {
                            var vDrink = $("#select-drink1");
                            $("<option>", {
                                value: gDrinkSelect[bI].maNuocUong,
                                text: gDrinkSelect[bI].tenNuocUong,

                            }).appendTo(vDrink);
                        }
                        console.log(gDrinkSelect);
                    },
                    error: function (ajaxContext) {
                        console.log(ajaxContext.responseText);
                    }
                })
                $("#create-order").modal("show");
            }
            function addDataToInput() {
                for (var i = 0; i < gCombo.length; i++) {
                    if ($("#select-combo1").val() === gCombo[i].kichCo) {
                        $("#inp-pizza1").val(gCombo[i].duongKinh);
                        $("#inp-suon1").val(gCombo[i].suon);
                        $("#inp-salad1").val(gCombo[i].salad);
                        $("#inp-drink1").val(gCombo[i].soLuongNuoc);
                        $("#inp-money1").val(gCombo[i].thanhTien);
                    }
                }
            }
            function onBtnConfirmCreateClick() {
                var vNewOrder = {
                    kichCo: "",
                    duongKinh: 0,
                    suon: 0,
                    salad: 0,
                    loaiPizza: "",
                    idVourcher: 0,
                    idLoaiNuocUong: "",
                    soLuongNuoc: 0,
                    hoTen: "",
                    thanhTien: 0,
                    email: "",
                    soDienThoai: "",
                    diaChi: "",
                    loiNhan: ""
                }
                getDataToInsert(vNewOrder);
                var vIsValidate = validateDataToUpdate(vNewOrder);
                if (vIsValidate) {
                    callApiToPost(vNewOrder);
                    loadDataToTable(gOrdersObj);
                    $("#create-modal").modal("hide");
                }

            }
            function getDataToInsert(paramData) {
                paramData.kichCo = $("#select-combo1").val().trim();
                paramData.duongKinh = $("#inp-pizza1").val().trim();
                paramData.suon = $("#inp-suon1").val().trim();
                paramData.salad = $("#inp-salad1").val().trim();
                paramData.loaiPizza = $("#inp-type1").val().trim();
                paramData.idVourcher = $("#inp-voucher1").val().trim();
                paramData.idLoaiNuocUong = $("#select-drink1").val().trim();
                paramData.soLuongNuoc = $("#inp-drink1").val().trim();
                paramData.hoTen = $("#inp-name1").val().trim();
                paramData.thanhTien = $("#inp-money1").val().trim();
                paramData.email = $("#inp-email1").val().trim();
                paramData.soDienThoai = $("#inp-mobile1").val().trim();
                paramData.diaChi = $("#inp-address1").val().trim();
                paramData.loiNhan = $("#inp-msg1").val().trim();
            }
            function validateDataToUpdate(paramOrderConfirm) {
                console.log(paramOrderConfirm)
                if (paramOrderConfirm.kichCo == "0") {
                    alert("hãy chọn kích cỡ!");
                    return false;
                }
                if (paramOrderConfirm.loaiPizza == "0") {
                    alert("hãy chọn loại pizza!");
                    return false;
                }
                if (paramOrderConfirm.idVourcher != "") {
                    if (isNaN(paramOrderConfirm.idVourcher)) {
                        alert("hãy mã voucher là số!");
                        return false;
                    }
                }
                if (paramOrderConfirm.idLoaiNuocUong == "0") {
                    alert("hãy chọn loại nước uống!");
                    return false;
                }
                if (isNaN(paramOrderConfirm.hoTen) == false || paramOrderConfirm.hoTen == "") {
                    alert("hãy nhập tên của bạn!");
                    return false;
                }
                if (/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(paramOrderConfirm.email)) {
                } else {
                    alert("hãy nhập emaill đúng!")
                    return false;
                }
                if (paramOrderConfirm.soDienThoai == "" || isNaN(paramOrderConfirm.soDienThoai) == true) {
                    alert("hãy nhập số điện thoại!");
                    return false;
                }
                if (paramOrderConfirm.diaChi == "") {
                    alert("hãy nhập địa chỉ!");
                    return false;
                }
                return true
            }
            function callApiToPost(paramNewOrder) {
                $.ajax({
                    url: "http://42.115.221.44:8080/devcamp-pizza365/orders",
                    type: "POST",
                    contentType: "application/json",
                    data: JSON.stringify(paramNewOrder),
                    success: function (res) {
                        alert("Thêm thành công")
                        console.log(res)
                        location.reload();
                    },
                    error: function (res) {
                        console.log(res.status)
                    }
                })
            }
        });
    </script>
</body>

</html>